For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • POSTCreate draft
        • DELDelete draft
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsDrafts

Delete draft

DELETE
/v1/convai/agents/:agent_id/drafts
DELETE
/v1/convai/agents/:agent_id/drafts
$curl -X DELETE "https://api.elevenlabs.io/v1/convai/agents/agent_id/drafts?branch_id=branch_id"
Delete a draft for an agent
Was this page helpful?
Previous

Get agent version metadata

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Query parameters

branch_idstringRequired
The ID of the agent branch to use

Response

Successful Response

Errors

422
Unprocessable Entity Error